Plugin error from aldex2

Deer auhor:
When i run aldex2 plugin,there some erros happened ,it means i only compared two groups? thanks for answer ! @dgiguer
qiime aldex2 aldex2 --i-table Japan-table.qza --m-metadata-file sample-metadata.tsv --m-metadata-column season --output-dir Japan-season --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_aldex2.R /tmp/tmp33o9oiye/input.tsv.biom /tmp/tmp33o9oiye/input.map.txt season 128 t all /tmp/tmp33o9oiye/output.summary.txt

R version 3.5.1 (2018-07-02)
[1] “aldex.clr: generating Monte-Carlo instances and clr values”
[1] “operating in serial mode”
[1] “computing center with all features”
[1] “aldex.ttest: doing t-test”
Error in aldex.ttest(x, conditions, paired.test = FALSE) :
only two condition levels are currently supported
Calls: aldex -> aldex.ttest
Execution halted
Traceback (most recent call last):
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 59, in aldex2
run_commands([cmd])
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 21, in run_commands
subprocess.run(cmd, check=True)
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_aldex2.R’, ‘/tmp/tmp33o9oiye/input.tsv.biom’, ‘/tmp/tmp33o9oiye/input.map.txt’, ‘season’, ‘128’, ‘t’, ‘all’, ‘/tmp/tmp33o9oiye/output.summary.txt’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-481>”, line 2, in aldex2
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/emma/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 63, in aldex2
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running ALDEx2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from aldex2:

An error was encountered while running ALDEx2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Hi @sugakk,
You are right,

It appears that Aldex2 only supports 2 groups comparisons at the moment. You may have better like with other plugins like gness or songbird with this kind of design, or you can try filtering your data to look at 2 groups at a time.

1 Like

Hi @sugakk,

That is correct, the effect size calculation is a between group measure for only 2 conditions. In the R package available on Bioconductor, the glm-module is available to look at more than 2 groups, however I am still working on implementing that in the q2-aldex2 package.

Thanks! :wink:

Dan

1 Like